/*
 * $Id: DatabaseEnum.cs 289 2007-06-12 09:27:37Z lloydd $
 */

using System;
using System.Text;
using System.IO;
using System.Net;
using System.Net.Sockets;
using System.Threading;
using System.Collections;
using System.Collections.Generic;

namespace WiMo.RAPI
{
   public enum FindDatabaseAttribute : uint
   {
      Oid            = 0x0001,
      Flags          = 0x0002,
      Name           = 0x0004,
      Type           = 0x0008,
      Num_Records    = 0x0010,
      Num_Sort_Order = 0x0020,
      Size           = 0x0040,
      Last_Modified  = 0x0080,
      Sort_Spec      = 0x0100
   }
   
   public enum PropValType : uint
   {
      Int16    = 2,
      Int32    = 3,
      Double   = 5,
      Bool     = 11,
      UInt16   = 18,
      UInt32   = 19,
      String   = 31,
      Filetime = 64,
      Blob     = 65
   }
   
   public enum DatabaseSeekType : uint
   {
      Oid               = 0x00000001,
      Beginning         = 0x00000002,
      End               = 0x00000004,
      Current           = 0x00000008,
      ValueSmaller      = 0x00000010,
      ValueFirstEqual   = 0x00000020,
      ValueGreater      = 0x00000040,
      ValueNextEqual    = 0x00000080
   }
}
