/*
 * $Id: SystemEnum.cs 289 2007-06-12 09:27:37Z lloydd $
 */

using System;
using System.Text;
using System.IO;
using System.Net;
using System.Net.Sockets;
using System.Threading;
using System.Collections;
using System.Collections.Generic;

namespace WiMo.RAPI
{
	public enum ProcessorType: uint
	{
		Intel_386         = 386,
		Intel_486			= 486,
		Intel_Pentium		= 586,
		Intel_Pentium_II	= 686,
		MIPS_R4000		   = 4000,
		Alpha_21064		   = 21064,
		PPC_403			   = 403,
		PPC_601			   = 601,
		PPC_603			   = 603,
		PPC_604			   = 604,
		PPC_620			   = 620,
		HITACHI_SH3		   = 10003,
		HITACHI_SH3E		= 10004,
		HITACHI_SH4		   = 10005,
		MOTOROLA_821		= 821,
		SHX_SH3			   = 103,
		SHX_SH4			   = 104,
		StrongARM			= 2577,
		ARM720			   = 1824,
		ARM820			   = 2080,
		ARM920			   = 23360,
		ARM_7TDMI			= 70001
	}

	public enum ProcessorArch: ushort
	{
      Intel    = 0,
      MIPS     = 1,
      Alpha    = 2,
      PPC		= 3,
      SHX		= 4,
      ARM		= 5,
      IA64		= 6,
      Alpha64	= 7
	}

	public enum ACStatus : byte
	{
		Offline		   = 0,
		Online		   = 1,
		Backup_Power	= 2,
	}

	public enum BatteryFlag : byte 
	{
      High        = 0x01,
      Low         = 0x02,
      Critical    = 0x04,
      Charging    = 0x08,
      No_Battery  = 0x80,
	}

	public enum PlatformType : uint
	{
      Win32          = 0,
      Windows        = 1,
      Windows_NT     = 2,
      Windows_CE     = 3
	}
}
