/*
 * $Id: TestCommunication.cs 289 2007-06-12 09:27:37Z lloydd $
 */
 
using System;
using WiMo.RAPI;

public class TestCommunicationClass
{
   public class test : Communication
   {
      public test () : base (new Connection (""))
      {
      }
      
      public void run ()
      {
         int i0 = 0x11223344;
         uint i1 = 0x11223344;
         short s0 = 0x1122;
         ushort s1 = 0x1122;
         byte[] b = new byte [4] {0x01, 0x02, 0x03, 0x04};
         string s = "ahoj";
         
         WriteInt32 (i0);
         WriteUInt32 (i1);
         WriteInt16 (s0);
         WriteUInt16 (s1);
         WriteByteArray (b);
         WriteString (s);
         
         PrintWriteBuffer ();
         PrintReadBuffer ();
         
         int ii0 = -1;
         uint ii1 = 0;
         short ss0 = -1;
         ushort ss1 = 0;
         
         ii0 = ReadInt32 ();
         ii1 = ReadUInt32 ();
         ss0 = ReadInt16 ();
         ss1 = ReadUInt16 ();
         
         Console.WriteLine ("ii0: {0}=0x{1}", ii0, ii0.ToString ("X8"));
         Console.WriteLine ("ii1: {0}=0x{1}", ii1, ii1.ToString ("X8"));
         Console.WriteLine ("ss0: {0}=0x{1}", ss0, ss0.ToString ("X4"));
         Console.WriteLine ("ss1: {0}=0x{1}", ss1, ss1.ToString ("X4"));
      }
   }
   
   public static void Main (string[] args)
   {
      test t = new test ();
      t.run ();
   }
}
